org.apache.ignite.internal.processors.cache.distributed.dht

## Interface DhtLockFuture<T>

All Superinterfaces:
  IgniteInternalFuture<T>

All Known Implementing Classes:
  GridDhtLockFuture, GridDhtTxAbstractEnlistFuture, GridDhtTxEnlistFuture, GridDhtTxQueryAbstractEnlistFuture, GridDhtTxQueryEnlistFuture, GridDhtTxQueryResultsEnlistFuture

    public interface DhtLockFuture<T>
    extends IgniteInternalFuture<T>

Marker interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onError(Throwable error)`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Method Detail

#### onError

    void onError(Throwable error)

Parameters:
  `error` - Error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021